﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="DevExpress.XtraCharts.v11.2.Web, Version=11.2.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.XtraCharts.Web" TagPrefix="dxchartsui" %>
<%@ Register TagPrefix="dxm" Namespace="DevExpress.Web.ASPxMenu" Assembly="DevExpress.Web.v11.2, Version=11.2.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" %>
<%@ Register TagPrefix="dxe" Namespace="DevExpress.Web.ASPxEditors" Assembly="DevExpress.Web.ASPxEditors.v11.2, Version=11.2.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" %>

<%@ Register assembly="DevExpress.XtraCharts.v11.2, Version=11.2.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.XtraCharts" tagprefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
<dxm:ASPxMenu SkinID="ChartDemoToolbar" ID="mnuToolbar" runat="server" 
        ClientInstanceName="mnuToolbar">
        <Items>
            <dxm:MenuItem Name="mnuPrint" Text="" ToolTip="打印该图表">
                <Image Url="/Images/Toolbar/BtnPrint.png" />
            </dxm:MenuItem>
            <dxm:MenuItem Name="mnuSaveToDisk" Text="" ToolTip="导出图表并保存" BeginGroup="True">
                <Image Url="/Images/Toolbar/BtnSave.png" />
            </dxm:MenuItem>
            <dxm:MenuItem Name="mnuSaveToWindow" Text="" ToolTip="在线打开图表">
                <Image Url="/Images/Toolbar/BtnSaveWindow.png" />
            </dxm:MenuItem>
            <dxm:MenuItem Name="mnuFormat"><Template>
                <dxe:ASPxComboBox runat="server" Width="60px" ValueType="System.String" ID="cbFormat" SelectedIndex="0" ClientInstanceName="cbFormat">
                    <Items>
                        <dxe:ListEditItem Value="pdf" Text="pdf" />
                        <dxe:ListEditItem Value="xls" Text="xls" />
                        <dxe:ListEditItem Value="png" Text="png" />
                        <dxe:ListEditItem Value="jpeg" Text="jpeg" />
                        <dxe:ListEditItem Value="bmp" Text="bmp" />
                        <dxe:ListEditItem Value="tiff" Text="tiff" />
                        <dxe:ListEditItem Value="gif" Text="gif" />
                    </Items>
                </dxe:ASPxComboBox>
            </Template></dxm:MenuItem>
            
        </Items>
        <ClientSideEvents ItemClick="function(s, e) {
    if (e.item.name == 'mnuPrint')
        chart.Print();
    if (e.item.name == 'mnuSaveToDisk')
        chart.SaveToDisk(cbFormat.GetText());
    if (e.item.name == 'mnuSaveToWindow')
        chart.SaveToWindow(cbFormat.GetText());
}" />
    </dxm:ASPxMenu>
    <dxchartsui:WebChartControl ID="WebChartControl1" runat="server" 
        ClientInstanceName="chart" Height="400px" Width="600px">
        <diagramserializable>
            <cc1:XYDiagram>
                <axisx visibleinpanesserializable="-1">
                    <range sidemarginsenabled="True" />
                </axisx>
                <axisy visibleinpanesserializable="-1">
                    <range sidemarginsenabled="True" />
                </axisy>
            </cc1:XYDiagram>
        </diagramserializable>
<FillStyle><OptionsSerializable>
<cc1:SolidFillOptions></cc1:SolidFillOptions>
</OptionsSerializable>
</FillStyle>

        <seriesserializable>
            <cc1:Series Name="Series 1">
                <points>
                    <cc1:SeriesPoint ArgumentSerializable="1" Values="1">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="2" Values="2">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="3" Values="3">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="4" Values="4">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="5" Values="5">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="6" Values="6">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="7" Values="7">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="8" Values="8">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="9" Values="9">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="10" Values="10">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="11" Values="11">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="12" Values="12">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="13" Values="13">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="14" Values="14">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="15" Values="15">
                    </cc1:SeriesPoint>
                </points>
                <viewserializable>
                    <cc1:SplineSeriesView>
                    </cc1:SplineSeriesView>
                </viewserializable>
                <labelserializable>
                    <cc1:PointSeriesLabel LineVisible="True">
                        <fillstyle>
                            <optionsserializable>
                                <cc1:SolidFillOptions />
                            </optionsserializable>
                        </fillstyle>
                        <pointoptionsserializable>
                            <cc1:PointOptions>
                            </cc1:PointOptions>
                        </pointoptionsserializable>
                    </cc1:PointSeriesLabel>
                </labelserializable>
                <legendpointoptionsserializable>
                    <cc1:PointOptions>
                    </cc1:PointOptions>
                </legendpointoptionsserializable>
            </cc1:Series>
            <cc1:Series Name="Series 2">
                <points>
                    <cc1:SeriesPoint ArgumentSerializable="1" Values="3">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="2" Values="3">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="3" Values="2">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="4" Values="1">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="5" Values="4">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="6" Values="3">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="7" Values="2">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="8" Values="1">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="9" Values="5">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="10" Values="2">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="11" Values="1">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="12" Values="2">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="13" Values="1">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="14" Values="2">
                    </cc1:SeriesPoint>
                    <cc1:SeriesPoint ArgumentSerializable="15" Values="1">
                    </cc1:SeriesPoint>
                </points>
                <viewserializable>
                    <cc1:SplineSeriesView>
                    </cc1:SplineSeriesView>
                </viewserializable>
                <labelserializable>
                    <cc1:PointSeriesLabel LineVisible="True">
                        <fillstyle>
                            <optionsserializable>
                                <cc1:SolidFillOptions />
                            </optionsserializable>
                        </fillstyle>
                        <pointoptionsserializable>
                            <cc1:PointOptions>
                            </cc1:PointOptions>
                        </pointoptionsserializable>
                    </cc1:PointSeriesLabel>
                </labelserializable>
                <legendpointoptionsserializable>
                    <cc1:PointOptions>
                    </cc1:PointOptions>
                </legendpointoptionsserializable>
            </cc1:Series>
        </seriesserializable>
        <seriestemplate>
            <viewserializable>
                <cc1:SplineSeriesView>
                </cc1:SplineSeriesView>
            </viewserializable>
            <labelserializable>
                <cc1:PointSeriesLabel LineVisible="True">
                    <fillstyle>
                        <optionsserializable>
                            <cc1:SolidFillOptions />
                        </optionsserializable>
                    </fillstyle>
                    <pointoptionsserializable>
                        <cc1:PointOptions>
                        </cc1:PointOptions>
                    </pointoptionsserializable>
                </cc1:PointSeriesLabel>
            </labelserializable>
            <legendpointoptionsserializable>
                <cc1:PointOptions>
                </cc1:PointOptions>
            </legendpointoptionsserializable>
        </seriestemplate>
    </dxchartsui:WebChartControl>
    </form>
</body>
</html>
